# List_All_WebPortal_Accounts

Retrieve all webportal accounts.

`GET /v2/webportal-accounts`

**API:** Avalara CertCapture RESTful APIs
**Tag:** Webportal Accounts
**API Version:** v2
**Base URL:** https://sbx-api.certcapture.com/v2/
**Accepts:** `application/json`
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/ecm/api/certcapture/methods/Webportal%20Accounts/List_All_WebPortal_Accounts/

## Description

Retrieve all webportal-accounts for a company.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `x-client-id` | integer | header | Yes | To access your companies client ID, it is available from Company Settings -> Company Details -> Company ID |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `WebportalAccountResource` |
| 400 | Bad Request |  |
| 401 | Unauthorized |  |

### 200 Response: `WebportalAccountResource`

CertCapture WebportalAccount resource

| Property | Type | Required | Description |
|---|---|---|---|
| `data` | WebportalAccount[] | No | Data wrapper |

## Example Request

```bash
curl -X GET "https://sbx-api.certcapture.com/v2/v2/webportal-accounts" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```